/*
 * Copyright (c) 2018-2019. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.qrcode;

import org.hedgecode.chess.ChessHogConsole;

/**
 * Chess QR Code Main Application.
 *
 * @author Dmitry Samoshin aka gotty
 */
public final class ChessQRCodeApp {

    private static final String[] QRCODE_MODULE_LOGO = {
            "                          _                        ",
            "        ___ ___ ___ ___ _| |___                    ",
            "       | . |  _|  _| . | . | -_|                   ",
            "       |_  |_| |___|___|___|___|                   ",
            "         |_|                    _     _            ",
            "                    _____ ___ _| |_ _| |___        ",
            "                   |     | . | . | | | | -_|       ",
            "                   |_|_|_|___|___|___|_|___|       ",
            "                                                   "
    };

    public static void main(String[] args) {

        ChessHogConsole.init();

        for (String line : QRCODE_MODULE_LOGO) {
            ChessHogConsole.console(line);
        }

    }

}