/*
 * Copyright (c) 2018. Developed by Hedgecode.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.hedgecode.chess.uci.command;

import org.hedgecode.chess.game.AbstractMove;
import org.hedgecode.chess.position.Piece;
import org.hedgecode.chess.position.Square;

/**
 *
 *
 * @author Dmitry Samoshin aka gotty
 */
public class Move extends AbstractMove {

    private Piece promote;

    protected Move(Square from, Square to) {
        super(null, from, to);
        this.promote = null;
    }

    protected Move(Square from, Square to, Piece promote) {
        super(null, from, to);
        this.promote = promote;
    }

    @Override
    public boolean isCapture() {
        return false;
    }

    @Override
    public boolean isCastle() {
        return false;
    }

    @Override
    public boolean isPromote() {
        return promote != null;
    }

    @Override
    public Piece promote() {
        return promote;
    }

    @Override
    public boolean isCheck() {
        return false;
    }

    @Override
    public boolean isMate() {
        return false;
    }

}
